=== modified file '__init__.py'
--- __init__.py	2007-07-17 02:55:14 +0000
+++ __init__.py	2007-07-23 12:03:29 +0000
@@ -103,6 +103,10 @@
     bzrlib.ui.ui_factory = GtkUIFactory()
 
 
+def data_path():
+    return os.path.dirname(__file__)
+
+
 class GTKCommand(Command):
     """Abstract class providing GTK specific run commands."""
 
@@ -489,7 +493,7 @@
         from notify import NotifyPopupMenu
         gtk = self.open_display()
         menu = NotifyPopupMenu()
-        icon = gtk.status_icon_new_from_file("bzr-icon-64.png")
+        icon = gtk.status_icon_new_from_file(os.path.join(data_path(), "bzr-icon-64.png"))
         icon.connect('popup-menu', menu.display)
 
         import cgi

=== modified file 'about.py'
--- about.py	2007-07-15 15:02:33 +0000
+++ about.py	2007-07-23 12:03:29 +0000
@@ -20,8 +20,10 @@
 except:
     pass
 
+import bzrlib
 import gtk
-import bzrlib
+import os
+from bzrlib.plugins.gtk import data_path
 
 class AboutDialog(gtk.AboutDialog):
     def __init__(self):
@@ -30,6 +32,6 @@
         self.set_version(bzrlib.version_string)
         self.set_website("http://bazaar-vcs.org/")
         self.set_license("GNU GPLv2")
-        self.set_icon(gtk.gdk.pixbuf_new_from_file("bzr-icon-64.png"))
+        self.set_icon(gtk.gdk.pixbuf_new_from_file(os.path.join(data_path(), "bzr-icon-64.png")))
         self.connect ("response", lambda d, r: d.destroy())
 

